package com.mortals.xhx.module.question.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.question.model.vo.QuestionVo;
import lombok.Data;
/**
* 常见问题实体对象
*
* @author zxfei
* @date 2025-05-15
*/
@Data
public class QuestionEntity extends QuestionVo {
    private static final long serialVersionUID = 1L;

    /**
    * 问题标题
    */
    private String title;
    /**
    * 所属部门id
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 问题详情
    */
    private String details;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QuestionEntity) {
            QuestionEntity tmp = (QuestionEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.deptId = null;
            this.deptName = "";
            this.details = "";
    }
}