package com.mortals.xhx.module.question.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.question.dao.QuestionDao;
import com.mortals.xhx.module.question.model.QuestionEntity;
import com.mortals.xhx.module.question.service.QuestionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
/**
* QuestionService
* 常见问题 service实现
*
* @author zxfei
* @date 2025-05-15
*/
@Service("questionService")
@Slf4j
public class QuestionServiceImpl extends AbstractCRUDServiceImpl<QuestionDao, QuestionEntity, Long> implements QuestionService {

    @Override
    protected void saveBefore(QuestionEntity entity, Context context) throws AppException {
        entity.setUpdateUserId(entity.getCreateUserId());
        entity.setUpdateTime(entity.getCreateTime());
        super.saveBefore(entity, context);
    }
}