package com.mortals.xhx.module.site.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteMatterAssistVo;
import lombok.Data;
/**
 * 辅助接件事项实体对象
 *
 * @author zxfei
 * @date 2025-05-15
 */
@Data
public class SiteMatterAssistEntity extends SiteMatterAssistVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点事项id
     */
    private Long siteMatterId;
    /**
     * 事项ID
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 部门编码
     */
    private String deptCode;
    /**
     * 股室ID
     */
    private Long officeId;
    /**
     * 股室名称
     */
    private String officeName;
    /**
     * 负责人姓名
     */
    private String dutyer;
    /**
     * 联系电话
     */
    private String telephone;
    /**
     * 事项来源
     */
    private Integer source;
    /**
     * 浏览次数
     */
    private Long viewsCount;
    /**
     * 政务网地址
     */
    private String govUrl;
    /**
     * 推荐状态
     */
    private Integer suggest;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteMatterAssistEntity) {
            SiteMatterAssistEntity tmp = (SiteMatterAssistEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteMatterId = null;
        this.matterId = null;
        this.matterName = "";
        this.matterCode = "";
        this.deptId = null;
        this.deptName = "";
        this.deptCode = "";
        this.officeId = null;
        this.officeName = "";
        this.dutyer = "";
        this.telephone = "";
        this.source = 0;
        this.viewsCount = 0L;
        this.govUrl = "";
        this.suggest = 0;
    }
}