package com.mortals.xhx.common.utils;

import java.util.concurrent.DelayQueue;

public class MatterApplyDelayQueueUtil {

    private MatterApplyDelayQueueUtil(){

    }
    private DelayQueue<MatterApplyDelayTask> delayQueue = new DelayQueue<>();

    public volatile static MatterApplyDelayQueueUtil matterApplyDelayQueueUtil;

    public static MatterApplyDelayQueueUtil getInstance(){
        if(matterApplyDelayQueueUtil==null){
            synchronized (MatterApplyDelayQueueUtil.class){
                if(matterApplyDelayQueueUtil==null){
                    matterApplyDelayQueueUtil = new MatterApplyDelayQueueUtil();
                }
            }
        }
        return matterApplyDelayQueueUtil;
    }

    public void put(MatterApplyDelayTask t){
        delayQueue.put(t);
    }

    public boolean isEmpty(){
        return delayQueue.isEmpty();
    }

    public MatterApplyDelayTask poll(){
        return delayQueue.poll();
    }
}
