package com.mortals.xhx.common.utils;

import com.mortals.xhx.module.apply.model.MatterApplyEntity;
import com.mortals.xhx.module.apply.service.MatterApplyService;

import java.util.Date;
import java.util.concurrent.Delayed;
import java.util.concurrent.TimeUnit;

public class MatterApplyDelayTask implements Runnable, Delayed {

    private long expirationTime;
    private MatterApplyService matterApplyService;
    private Long matterApplyId;

    public MatterApplyDelayTask(int delaySeconds,MatterApplyService matterApplyService,Long matterApplyId) {
        this.matterApplyId = matterApplyId;
        this.matterApplyService = matterApplyService;
        this.expirationTime = System.nanoTime() + TimeUnit.NANOSECONDS.convert(delaySeconds, TimeUnit.SECONDS);
    }
    @Override
    public int compareTo(Delayed o) {
        MatterApplyDelayTask other = (MatterApplyDelayTask) o;
        return Long.compare(this.expirationTime, other.expirationTime);
    }

    @Override
    public long getDelay(TimeUnit unit) {
        return unit.convert(this.expirationTime - System.nanoTime(), TimeUnit.NANOSECONDS);
    }

    @Override
    public void run() {
        MatterApplyEntity entity = matterApplyService.get(matterApplyId);
        if(entity!=null && entity.getApplyState()==-1) {
            MatterApplyEntity update = new MatterApplyEntity();
            update.setId(entity.getId());
            update.setApplyState(0);
            update.setApplyTime(new Date());
            update.setUpdateTime(new Date());
            matterApplyService.update(update);
        }
    }
}
