package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationService;
import com.mortals.xhx.common.utils.MatterApplyDelayQueueUtil;
import com.mortals.xhx.common.utils.MatterApplyDelayTask;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;

/***
 * 事项申请延迟队列
 */
@Component
@Slf4j
public class MatterApplyDelayQueueService implements IApplicationService {

    private static Log logger = LogFactory.getLog(DemoStartService.class);
    protected Boolean stopped = false;

    @Override
    public void start() {
        logger.info("启动事项申请延迟队列处理服务..");
        Thread sendThread = new Thread(new Runnable() {
            @Override
            public void run() {
                int waitTime = 30000;
                while (!stopped) {
                    MatterApplyDelayTask task = MatterApplyDelayQueueUtil.getInstance().poll();
                    if (task != null) {
                        task.run();
                    }else {
                        try {
                            Thread.sleep(waitTime);
                        } catch (InterruptedException e2) {
                        }
                    }
                }
            }
        });
        sendThread.start();

    }

    @Override
    public void stop() {
        this.stopped = true;
        logger.info("停止事项申请延迟队列处理服务..");
    }
}
