package com.mortals.xhx.module.apply.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.apply.model.vo.ApproverVo;
import lombok.Data;
/**
* 单事项审批人员实体对象
*
* @author zxfei
* @date 2023-05-23
*/
@Data
public class ApproverEntity extends ApproverVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 工作人员姓名
    */
    private String fullName;
    /**
    * 联系电话
    */
    private String phoneNumber;
    /**
    * 登录用户名
    */
    private String loginName;
    /**
    * 登录密码
    */
    private String loginPwd;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门编码
    */
    private String deptCode;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 备注
    */
    private String remarks;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ApproverEntity) {
            ApproverEntity tmp = (ApproverEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = null;

            this.fullName = "";

            this.phoneNumber = "";

            this.loginName = "";

            this.loginPwd = "";

            this.deptId = null;

            this.deptCode = "";

            this.deptName = "";

            this.remarks = "";
    }
}